Ask coding questions

← Back to all posts
Help
ConnorisTyping

Error: Cannot find module 'node:events'
Require stack:

  • /home/runner/LILRP-Helper/node_modules/discord.js/src/client/BaseClient.js
  • /home/runner/LILRP-Helper/node_modules/discord.js/src/index.js
  • /home/runner/LILRP-Helper/index.js
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:815:15)
    at Function.Module._load (internal/modules/cjs/loader.js:667:27)
    at Module.require (internal/modules/cjs/loader.js:887:19)
    at require (internal/modules/cjs/helpers.js:74:18)
    at Object.<anonymous> (/home/runner/LILRP-Helper/node_modules/discord.js/src/client/BaseClient.js:3:22)
    at Module._compile (internal/modules/cjs/loader.js:999:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1027:10)
    at Module.load (internal/modules/cjs/loader.js:863:32)
    at Function.Module._load (internal/modules/cjs/loader.js:708:14)
    at Module.require (internal/modules/cjs/loader.js:887:19)
Voters
adithyannathan
ConnorisTyping
Comments
hotnewtop
lajbel

Use Node V16 for discord.js v13, or if you want use V12: nom i [email protected]